{
    name: "Lucky Punch",
    spritenum: 261,
    fling: {
        basePower: 80
    },
    onModifyMovePriority: 1,
    onModifyMove(move, user) {
        if (user.baseSpecies.name === "Chansey") {
            if (move.category === 'Physical') {
                move.overrideOffensiveStat = 'spd';
            }
            if (move.flags.punch) {
                move.willCrit = true;
                move.noContact = true;
            }
        }
    },
    itemUser: ["Chansey"],
    num: 256,
    gen: 2,
    isNonstandard: "Past"
}
